summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2013-02-24 23:30:02 +0000
committerPacho Ramos <pacho@gentoo.org>2013-02-24 23:30:02 +0000
commitb6a19c161e994481d5d45fc481c57beb51ec1451 (patch)
treee8f0e07f14d71fc1c4e88d44f808ed979a847541 /eclass
parentRemove /usr/include headers (diff)
downloadhistorical-b6a19c161e994481d5d45fc481c57beb51ec1451.tar.gz
historical-b6a19c161e994481d5d45fc481c57beb51ec1451.tar.bz2
historical-b6a19c161e994481d5d45fc481c57beb51ec1451.zip
Allow headers installation, bug #458784
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/emul-linux-x86.eclass4
2 files changed, 6 insertions, 3 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index ee4938141adc..007e9d530924 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.682 2013/02/24 21:05:08 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.683 2013/02/24 23:30:02 pacho Exp $
+
+ 24 Feb 2013; Pacho Ramos <pacho@gentoo.org> emul-linux-x86.eclass:
+ Allow headers installation, bug #458784
24 Feb 2013; Michał Górny <mgorny@gentoo.org> xorg-2.eclass:
Introduce multilib support for xlibs.
diff --git a/eclass/emul-linux-x86.eclass b/eclass/emul-linux-x86.eclass
index 2f0257da2c1c..e76d6af68cd8 100644
--- a/eclass/emul-linux-x86.eclass
+++ b/eclass/emul-linux-x86.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/emul-linux-x86.eclass,v 1.17 2013/02/24 16:31:35 pacho Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/emul-linux-x86.eclass,v 1.18 2013/02/24 23:30:02 pacho Exp $
#
# Original Author: Mike Doty <kingtaco@gentoo.org>
@@ -37,7 +37,7 @@ RDEPEND=""
emul-linux-x86_src_prepare() {
ALLOWED=${ALLOWED:-^${S}/etc/env.d}
use development && ALLOWED="${ALLOWED}|/usr/lib32/pkgconfig"
- find "${S}" ! -type d ! '(' -name '*.so' -o -name '*.so.[0-9]*' ')' | egrep -v "${ALLOWED}" | xargs -d $'\n' rm -f || die 'failed to remove everything but *.so*'
+ find "${S}" ! -type d ! '(' -name '*.so' -o -name '*.so.[0-9]*' -o -name '*.h' ')' | egrep -v "${ALLOWED}" | xargs -d $'\n' rm -f || die 'failed to remove everything but *.so*'
}
emul-linux-x86_src_install() {